RDKit: RDKit::MolStandardize::Is2DValidation Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::MolStandardize::Is2DValidation Class Reference

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::Is2DValidation:

## Public Member Functions
| Is2DValidation (double threshold=1.e-3)
std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const override
std::shared_ptr< ValidationMethod > | copy () const override
Public Member Functions inherited from RDKit::MolStandardize::ValidationMethod
| ValidationMethod ()=default
virtual | ~ValidationMethod ()=default

## Public Attributes
double | threshold

## Detailed Description

The Is2DValidation class reports an error if the input molecule representation is designated as 3D or if it includes non-null Z coordinates, and in case all atoms are assigned the same coordinates.

Definition at line 254 of file Validate.h.

## Constructor & Destructor Documentation

## ◆ Is2DValidation()

RDKit::MolStandardize::Is2DValidation::Is2DValidation | ( | double | threshold = 1.e-3 | ) |
| inline

Definition at line 256 of file Validate.h.

References threshold.

## Member Function Documentation

## ◆ copy()

std::shared_ptr< ValidationMethod > RDKit::MolStandardize::Is2DValidation::copy | ( |  | ) | const
| inlineoverridevirtual

Implements RDKit::MolStandardize::ValidationMethod.

Definition at line 259 of file Validate.h.

## ◆ validate()

std::vector< ValidationErrorInfo > RDKit::MolStandardize::Is2DValidation::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures ) const
| overridevirtual

Implements RDKit::MolStandardize::ValidationMethod.

## Member Data Documentation

## ◆ threshold

double RDKit::MolStandardize::Is2DValidation::threshold

Definition at line 263 of file Validate.h.

Referenced by Is2DValidation().

The documentation for this class was generated from the following file:

- Validate.h